PETSc version 3.15.5
Fix/Edit manual page

# PetscOptionsLeftRestore

Free memory for the unused PETSc options obtained using PetscOptionsLeftGet.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsLeftRestore(PetscOptions options,PetscInt *N,char **names[],char **values[])

Not Collective

### Input Parameter

| options | - options database, use NULL for default global database
| names | - names of options not used
| values | - values of options not used

### See Also

PetscOptionsAllUsed(), PetscOptionsLeft(), PetscOptionsLeftGet()

### Level

advanced

### Location

src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages